Hinweis: Das Forum wird geschlossen! Neue Registrierungen sind nicht mehr möglich!

 Zurück zu Pro-Linux   Foren-Übersicht   FAQ     Suchen    Mitgliederliste
Brahms Notensatzprogramm

 
Neuen Beitrag schreiben   Auf Beitrag antworten    Pro-Linux Foren-Übersicht -> Software
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
wildsilk



Anmeldungsdatum: 18.05.2000
Beiträge: 77
Wohnort: Odenwald

BeitragVerfasst am: 13. März 2002 19:45   Titel: Brahms Notensatzprogramm

Hallo !

Beim Konfigurieren von "Brahms" (Linux user 4.2002) krieg ich eine Fehlermeldung

"Checking for QT configure : error Qt 2.2.2 not found"

Installiert hab ich bereits 2.3.2 auf SuSE 7.2 (KDE 2.2.2) usw :)

Kann ich dem Programm irgendwie diese neue QT Version als 2.2.2 vorgaukeln ? Wink
Oder wie sollte ich eine Lösung versuchen.

Danke im voraus !
Franz
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen

jensemann



Anmeldungsdatum: 08.12.2001
Beiträge: 189
Wohnort: Krefeld (obwohl mir Kölsches Bier lieber ist)

BeitragVerfasst am: 13. März 2002 22:24   Titel: Re: Brahms Notensatzprogramm

Hi
Sollte eigendlich auch mit der Version klappen, check mal, was deine config.log sagt.
Mfg jensemann
_________________
Hilfe bei LFS Problemen: <a href="http://www.lfsforum.org" target="_blank"><!--auto-->http://www.lfsforum.org</a><!--auto-->
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen

marc



Anmeldungsdatum: 20.04.2001
Beiträge: 444
Wohnort: Arnsberg

BeitragVerfasst am: 13. März 2002 22:34   Titel: Re: Brahms Notensatzprogramm

Nabend
Kann es sein, daß Dir die Header-Dateien fehlen?
Das Paket sollte einen Namen ähnlich wie Qt.2.3.2-dev.rpm oder so haben.

Gruß
Marc
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden

wildsilk



Anmeldungsdatum: 18.05.2000
Beiträge: 77
Wohnort: Odenwald

BeitragVerfasst am: 13. März 2002 22:51   Titel: Re: Brahms Notensatzprogramm Qt 2

Danke für die beiden Tips !

Also..... die qt-2.2.3.dev ist installiert

Vielleicht hilft der Ausschnitt am Ende der Config.log ja jemandem weiter ?

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
.......
configure:5398: checking for Qt
configure: 5460: /usr/lib/qt/include/qstyle.h
configure: 5460: /usr/lib/qt/qstyle.h
configure: 5460: /usr/lib/qt2/include/qstyle.h
taking that
tried NO
configure:5559: rm -rf SunWS_cache; c++ -o conftest -O2 -fno-exceptions -fno-check-new -I/usr/lib/qt2/include -I/usr/X11R6/include -L/usr/lib/qt/lib -L/usr/X11R6/lib conftest.C -lqt -lpng -lz -lm -ljpeg -lXext -lX11 -lSM -lICE -lresolv 1>&5
/tmp/cc0r9TJr.o: In function `main':
/tmp/cc0r9TJr.o(.text+0x40): undefined reference to `QString::shared_null'
/tmp/cc0r9TJr.o(.text+0x49): undefined reference to `QString::makeSharedNull(void)'
/tmp/cc0r9TJr.o(.text+0x71): undefined reference to `QIconView::QIconView(QWidget *, char const *, unsigned int)'
/tmp/cc0r9TJr.o(.text+0x80): undefined reference to `QIconView::setWordWrapIconText(bool)'
/tmp/cc0r9TJr.o(.text+0x88): undefined reference to `QString::shared_null'
/tmp/cc0r9TJr.o(.text+0x91): undefined reference to `QString::makeSharedNull(void)'
/tmp/cc0r9TJr.o(.text+0xaf): undefined reference to `QString::setLatin1(char const *, int)'
/tmp/cc0r9TJr.o(.text+0xc5): undefined reference to `QString::shared_null'
/tmp/cc0r9TJr.o(.text+0xcd): undefined reference to `QString::shared_null'
/tmp/cc0r9TJr.o(.text+0xda): undefined reference to `QStringData::deleteSelf(void)'
/tmp/cc0r9TJr.o(.text+0xe8): undefined reference to `QIconView::~QIconView(void)'
collect2: ld returned 1 exit status
configure: failed program was:
#include "confdefs.h"
#include <qglobal.h>
#include <qapplication.h>
#include <qevent.h>
#include <qstring.h>
#include <qstyle.h>
#include <qiconview.h>
#if ! (QT_VERSION >= 222)
#error 1
#endif

Grüße! Franz
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen

jensemann



Anmeldungsdatum: 08.12.2001
Beiträge: 189
Wohnort: Krefeld (obwohl mir Kölsches Bier lieber ist)

BeitragVerfasst am: 14. März 2002 3:25   Titel: Re: Brahms Notensatzprogramm

Hi
Ja, das hilft. Der mag deine qt wirklich nicht. Das Programm kann wohl wirklich nur mit der alten Version laufen. Bleibt dir wohl nix anderes übrig, als die zusätzlich zu installieren oder ein downgrade zu machen. Wobei ich ersteres machen würde, wenn du kde oder andere qt software benutzt.
Mfg jensemann
_________________
Hilfe bei LFS Problemen: <a href="http://www.lfsforum.org" target="_blank"><!--auto-->http://www.lfsforum.org</a><!--auto-->
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen

wildsilk



Anmeldungsdatum: 18.05.2000
Beiträge: 77
Wohnort: Odenwald

BeitragVerfasst am: 14. März 2002 19:10   Titel: Re: Brahms Notensatzprogramm Qt - 2 Versionen nebeneinander

Frage: Wie bringt man 2 Versionen der gleichen Software vernünftig nebeneinander zum laufen?

Worauf muss man da bei QT achten ?

Gruß
Franz
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen

jensemann



Anmeldungsdatum: 08.12.2001
Beiträge: 189
Wohnort: Krefeld (obwohl mir Kölsches Bier lieber ist)

BeitragVerfasst am: 14. März 2002 19:58   Titel: Re: Brahms Notensatzprogramm

Hi
Das sollte bei der qt, kein Probnlem sein, einfach woanders hin installieren als die alte, und vor dem ./configure zum installieren eines Programms einfach $QTDIR entsprechend setzen. Sollte so eigendlich klappen, habs aber mit den versionen noch nicht ausprobiert. Solltes es dann immer noch Probleme geben, muss du noch die /etc/ld.so.conf anpssen und ldconfig aufrufen, wobei das nur bei schlechten Makefiles notwendig ist.
Mfg jensemann
_________________
Hilfe bei LFS Problemen: <a href="http://www.lfsforum.org" target="_blank"><!--auto-->http://www.lfsforum.org</a><!--auto-->
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen

Beiträge vom vorherigen Thema anzeigen:   
     Pro-Linux Foren-Übersicht -> Software Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehen Sie zu:  

Powered by phpBB © phpBB Group
pro_linux Theme © 2004 by Mandaxy